
Figure - Bug #118357
【IOVDEV-31169】【VC1】【00100】【台架】【EE环境】【副屏】副屏显示了微信和应用宝两个小窗应用
2023-05-29 20:43 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230529  10点37分（ 第213次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.副屏在应用宝中选择王者荣耀游戏的“边下边玩”

2.副屏点击桌面的微信应用

【实际结果】

副屏显示了应用宝和微信两个小窗应用

【期望结果】

副屏只显示一个小窗应用

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

History

#1 - 2023-05-29 20:46 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2023-05-30 17:06 - CD FW-鲁凯峰

更新测试步骤

点击下载后,在点击边下边玩
目前点击点击边下边玩后,应用宝一直处于初始化运行环境状态,无法复现该问题.

还在进一步复现问题中

#3 - 2023-06-01 19:37 - CD FW-鲁凯峰

要连接中控才能使用边下边玩

目前还在想办法复现该问题

#4 - 2023-06-02 18:27 - CD FW-鲁凯峰

目前没进展,在看其他的问题

#5 - 2023-06-05 16:39 - CD FW-鲁凯峰

已经找到复现的方法,正在分析中,初步怀疑和画中画模式有关系

#6 - 2023-06-05 20:33 - CD FW-鲁凯峰

■ Current conclusion

■ My analysis

在画中画模式切换回全屏模式时,由于上一次启动是以小窗口形式启动的,所以这个还是小窗模式,但是它的windowingMode是fullscreen,导致启动另外一个小

窗时没有被隐藏

■ Next Action

目前还在想解决方案

#7 - 2023-06-06 19:56 - CD FW-鲁凯峰

■ My analysis

目前的想法是在退出PIP模式时,如果处于默认小窗模式,就强制性的在设置为freeform模式

■ Next Action

继续调试

#8 - 2023-06-07 15:29 - CD FW-鲁凯峰

该问题出现的原因是

应用宝里面的秒玩在退到后台会以画中画的模式启动,在画中画模式切换回全屏模式时,由于上一次启动是以小窗口形式启动的,它的窗口大小会被保留下

来,还是显示小窗的大小,但是它的windowingMode已经是全屏模式了,这个时候在打开其他的小窗应用,由于秒玩是全屏应用了,所以不会隐藏

我们现在看到的2个小窗,一个是微信,另外一个实际上是处于全屏模式但是以小窗大小显示的应用宝

所以现在的问题是,应用宝是默认是以小窗模式启动的,但是从画中画切换到全屏后它没有重新设置成小窗模式,需要给小窗模式和画中画模式重新做适配,
这个目前来说要改的地方比较多,风险比较大

目前的想法是当处于小窗模式时,不支持使用画中画模式,它们的性质是差不多的,都是以小窗口显示在前台,我们现在的小窗模式完全可以取代画中画模式

#9 - 2023-06-07 16:25 - 物联网项目组-RD3_CDTS 周飞

优先级放低，其他bug处理完之后再处理

#10 - 2023-06-09 18:49 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

转到在jira上跟踪

#11 - 2023-06-17 17:42 - CD FW-鲁凯峰

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_TEST 王成

- Resolution changed from -- to DUPLICATE

#12 - 2023-07-17 17:38 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户已转需求处理。已建story IOVOS3-11850 ， 关票处理

#13 - 2023-07-17 17:39 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

副屏显示了两个小窗应用.mp4 6.34 MB 2023-05-29 CDTS_TEST 王成

10点37分副屏显示了两个小窗应用.7z 141 KB 2023-05-29 CDTS_TEST 王成
